<!DOCTYPE html>
<html>
    <head>
        <title>CV Ilan Loore</title>
        <link rel="stylesheet" href="./csscv2.css" >
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0 viewport-fit=cover">
    </head>
    <body>
        <div id="secret">
            Dont break everything, press a keyboard key again
        </div>
        <div class="bloc-CV" id="identity">
            <img class="identity-bloc" id="photo" src="http://image.noelshack.com/fichiers/2021/49/5/1639131473-photocvhtml.jpg"
            alt="photo recente">
            <div class="identity-bloc" id="coordonnées">
                <h1 id="nom">Ilan Loore</h1>
                <ul id="info">
                    <li id="age">24ans</li>
                    <li id="tel">0675766945</li>
                    <li id="mail">ilan.loore@gmail.com</li>
                    <li id="adresse">95 Rue de Verdun<br>29200 Brest</li>
                </ul>
            </div>
            <div class="identity-bloc" id="Situation">
                <h3 id="titre">Etudiant Developpeur Informatique</h3>
                <h3 id="annee">1ere année</h3>
            </div>
        </div>
        <div class="docs" id="tout">
            <div class="bloc-cv" id="experiences">
                <h2 class="category-cv" id="xptitre">Experiences Professionnelles</h2>
                <ul id="xppro">
                    Juillet/aout 2016: Stage de comptabilité
                </ul>
                <h3 class="category2-cv" id="proj"><u>Projets</u></h3>
                <h4 class="type" id="cesi">CESI</h4>
                <ul>
                    <li>
                        <u id="salut">Infrastructure Reseau/WEB</u><br>
                        <i id="salut2">Septembre 2021<br>
                        Machines virtuelles/serv WEB/FTP/SSH/SQL/Wordpress</i>
                    </li>
                    <li>
                        <u>Projet SQL</u><br>
                        <i>Octorbre 2021<br>
                        MCD/MLD/Langage SQL</i>
                    </li>
                </ul>
                <h4 class="type">Perso</h4>
                <ul>
                    <a href="https://gitlab.com/users/ilan.lo/projects" target="_blank">GITLAB projects</a>
                
                    <ul>                    
                        <li><a href="https://gitlab.com/ilan.lo/black_jack" target="_blank">Black Jack en C</a>
                            <ul>
                                <i>Fonctions récursives, tableaux, pointeurs</i>
                            </ul>
                        </li>
                        <li>
                            <a href="https://gitlab.com/ilan.lo/plateau-simple" target="_blank">Jeu de plateau simple en C</a>
                       </li>   
                    </ul>           
                </ul>
            </div>
            <div class="bloc-cv" id="voidexp">
                <h2 class="category-cv" id="xptitre">Experiences/ Réussites</h2>
                <ul>
                    <h3 id="xpsouspartie">Epoque visitée</h3>
                    <ul id="xpsoussous">
                        <li id="xp1">1885</li>
                        <li id="xp2">1955</li>
                        <li id="xp3">1985</li>
                        <li id="xp4">2015</li>
                
                    </ul>
                    <p id="text">
                        A essayer de seduire sa mere sans le savoir<br>
                        Possede une DeLorean time machine 
                    </p>
                </ul>
            </div>
            <div class="bloc-cv" id="formations">
                <h2 class="category-cv" id="for">Formations</h2>
                <ul class="java" id="forcontent">
                    <li>
                        Certification CISCO CCNA1 (en cours)<br>
                        <i>Novembre 2021</i>
                    </li>
                    <li>
                        Developpement Informatique 1ere année<br>
                        <i>
                            2020/2021 CESI<br>
                            <ul>Algorithmie/Langage C/Infrastructure Reseau/SQL/HTML/CSS</ul>
                        </i>
                    </li>
                    <li>
                        Licence Mathématiques fondamentales Niveau Bac+2<br><i>2014/2018 UBO Brest</i>
                        <i><ul>
                            <li>
                                2014/2015 L1 Parcours Mathématiques Renforcées et Concours (PMRC)<br>
                                UE Algorithme et programmation : bases en Binaire, en programmation et de Codage en C
                            </li>
                            <li>2015/2017 L2 Mathématiques fondamentales</li>
                            <li>2017/2018 L3 Mathématiques fondamentales (non validée)</li>
                        </ul></i>  
                    </li>
                    <li>
                        Baccalauréat, section Scientifique<br>
                        <i>2013/2014 Lycée Ste Therese Quimper<br>
                            <ul>Mention Assez Bien, Spé Maths</ul>
                        </i>
                    </li>
                </ul>
                <ul class="java" id="forcontentvoid">
                    <li id="forcon1">Hill Valey High School</li>
                    <li id="forcon2">Depend de l'epoque où vous vous trouvez</li>
                </ul>
            </div>
            <div class="bloc-cv2" id="loisir">
                <h2 id="lo">Loisirs</h2>
                <ul>
                    <li id="loi1">Sports : Football, volleyball, Badminton</li>
                    <li id="loi2">Musique (ecriture)</li>
                    <li id="loi3">Algorithmie</li>
                    <li id="loi4"><a href="https://www.codingame.com/" target="_blank">CodinGame</a></li>
                </ul>
            </div>
            
        </div>
        
        <script>
            let CountExperience = 0;
            let CountFormation = 0;
            let photofemme = 'https://images.prismic.io/cadremploi-edito/2c42db4e-15ac-49a4-8d50-e4113a8adbb5_Bonne-photo-cv-femme1.JPG?auto=compress,format';
            let photoilan = 'http://image.noelshack.com/fichiers/2021/49/5/1639131473-photocvhtml.jpg';
            let photomcfly = 'https://media3.giphy.com/media/mpnijcWZLhDy5PMRjs/giphy.gif';
            let phototrevor = 'https://media-exp1.licdn.com/dms/image/C4E03AQHe9fAi-EViPw/profile-displayphoto-shrink_800_800/0/1634406152355?e=1644451200&v=beta&t=7pRDDH1vMOMJqR9VvnvsEV4NKznmUWXb3wU7yaDjPeU';
            let photopoker = 'http://image.noelshack.com/fichiers/2021/49/5/1639131710-photocvilan-clem.jpg';
            let countphoto = 0;
            let liste = {photoilan,photofemme,photomcfly};
            function clickedf(){
                console.log("on a cliqué sur for"+CountFormation);
                if(CountFormation % 3 == 0){
                    document.querySelector('#for').replaceChildren('pas de formations, que du talent');
                }
                if(CountFormation % 3 == 1){
                    document.querySelector('#for').replaceChildren('pas de talent non plus, que de la stupidité');
                }
                if(CountFormation % 3 == 2){
                    document.querySelector('#for').replaceChildren('Formation');
                }
                CountFormation++;
            }
            function experiencered(){
                console.dir(document.querySelector('#experiences').style);
                document.querySelector('#experiences').style.backgroundColor = 'red';  
                console.log("on a cliqué sur coo");
            }
            function changeeverything(){
                console.dir(document.querySelector('#photo'));
                console.log("on a cliqué sur photo");
                countphoto++;
                if (countphoto % 4 == 1){
                    document.querySelector('#photo').src = photofemme;
                    document.querySelector('#nom').replaceChildren('Laure Ilan');
                    document.querySelector('#titre').replaceChildren('Etudiante Developpeur Informatique');
                    document.querySelector('.bloc-cv').style.backgroundColor = 'pink';
                    document.querySelector('#loisir').style.backgroundColor = 'pink';
                    document.querySelector('#formations').style.backgroundColor = 'pink';
                    document.querySelector('#Situation').style.backgroundColor = 'pink';
                    document.querySelector('#coordonnées').style.backgroundColor = 'pink';
                }
                else if (countphoto % 4 == 2){
                    document.querySelector('#photo').src = photomcfly;
                    document.querySelector('#nom').replaceChildren('Marty McFly');
                    document.querySelector('#age').replaceChildren('ça depend');
                    document.querySelector('#tel').replaceChildren('555-0199');
                    document.querySelector('#mail').replaceChildren('marty@backtothefutur.com');
                    document.querySelector('#adresse').replaceChildren('Hill Valley, Californie, États-Unis');
                    document.querySelector('#titre').replaceChildren('Voyageur Temporel');
                    document.querySelector('#annee').replaceChildren('');
                    document.querySelector('#loi1').replaceChildren('Guitariste amateur de rock n roll');
                    document.querySelector('#loi2').replaceChildren('Skateboard');
                    document.querySelector('#loi3').replaceChildren('HoverBoard');
                    document.querySelector('#voidexp').style.backgroundColor = 'orange';
                    document.querySelector('.bloc-cv').style.backgroundColor = 'orange';
                    document.querySelector('#loisir').style.backgroundColor = 'orange';
                    document.querySelector('#formations').style.backgroundColor = 'orange';
                    document.querySelector('#Situation').style.backgroundColor = 'orange';
                    document.querySelector('#coordonnées').style.backgroundColor = 'orange';
                    document.querySelector('#experiences').style.display = 'none';
                    document.querySelector('#voidexp').style.display = 'initial';
                    document.querySelector('#forcontent').style.display = 'none';
                    document.querySelector('#forcontentvoid').style.display = 'inherit';
                    document.querySelector('#xpsouspartie').replaceChildren('Epoque visitée');
                    document.querySelector('#xp1').replaceChildren('1885');
                    document.querySelector('#xp2').replaceChildren('1955');
                    document.querySelector('#xp3').replaceChildren('1985');
                    document.querySelector('#xp4').replaceChildren('2015');
                    document.querySelector('#text').style.display = 'inherit';
                    document.querySelector('#forcon1').replaceChildren('Hill Valey High School');
                    document.querySelector('#forcon2').replaceChildren('Depend de l\'epoque où vous vous trouvez');
                }
                else if (countphoto % 4 == 3){
                    document.querySelector('#photo').src = photopoker;
                    document.querySelector('#nom').replaceChildren('E-Lan Loore');
                    document.querySelector('#age').replaceChildren('24ans');
                    document.querySelector('#tel').replaceChildren('0675766945');
                    document.querySelector('#mail').replaceChildren('ilan.loore@gmail.com');
                    document.querySelector('#adresse').replaceChildren('95 rue de verdun');
                    document.querySelector('#titre').replaceChildren('Joueur de poker');
                    document.querySelector('#loi1').replaceChildren('Sports : Football, volleyball, Badminton');
                    document.querySelector('#loi2').replaceChildren('Musique (ecriture)');
                    document.querySelector('#loi3').replaceChildren('Algorithmie');
                    document.querySelector('#voidexp').style.backgroundColor = 'rgb(94, 255, 0)';
                    document.querySelector('.bloc-cv').style.backgroundColor = 'rgb(94, 255, 0)';
                    document.querySelector('#loisir').style.backgroundColor = 'rgb(94, 255, 0)';
                    document.querySelector('#formations').style.backgroundColor = 'rgb(94, 255, 0)';
                    document.querySelector('#Situation').style.backgroundColor = 'rgb(94, 255, 0)';
                    document.querySelector('#coordonnées').style.backgroundColor = 'rgb(94, 255, 0)';
                    document.querySelector('#xpsouspartie').replaceChildren('Achievement');
                    document.querySelector('#xp1').replaceChildren('Tournois réel gagné : Aucun');
                    document.querySelector('#xp2').replaceChildren('Tournois Online gagné : Aucun');
                    document.querySelector('#xp3').replaceChildren('Parties Entre amis gagné : toutes les 2 semaines');
                    document.querySelector('#xp4').replaceChildren('A deja perdu 100€ en moins d\'une semaine en ligne');
                    document.querySelector('#loi1').replaceChildren('Poker');
                    document.querySelector('#forcon1').replaceChildren('Ecole de la rue');
                    document.querySelector('#forcon2').replaceChildren('A regardé des video de Daniel Negreanu');
                    document.querySelector('#text').style.display = 'none';
                
                }
                else if(countphoto % 4 == 0){
                    document.querySelector('#photo').src = photoilan;
                    document.querySelector('#nom').replaceChildren('Ilan Loore');
                    document.querySelector('#titre').replaceChildren('Etudiant Developpeur Informatique');
                    document.querySelector('#annee').replaceChildren('1ere année');
                    document.querySelector('.bloc-cv').style.backgroundColor = 'rgb(155, 148, 148)';
                    document.querySelector('#loisir').style.backgroundColor = 'rgb(155, 148, 148)';
                    document.querySelector('#formations').style.backgroundColor = 'rgb(155, 148, 148)';
                    document.querySelector('#Situation').style.backgroundColor = 'rgb(155, 148, 148)';
                    document.querySelector('#coordonnées').style.backgroundColor = 'rgb(155, 148, 148)';
                    document.querySelector('#experiences').style.display = 'initial';
                    document.querySelector('#voidexp').style.display = 'none';
                    document.querySelector('#forcontent').style.display = 'inherit';
                    document.querySelector('#forcontentvoid').style.display = 'none';
                    document.querySelector('#loi1').replaceChildren('Sports : Football, volleyball, Badminton');
                }
            }
            let counte = 0;
            function logKey() {
                if (counte % 2 == 0){
                    document.querySelector('#voidexp').style.display = 'none';
                    document.querySelector('#photo').style.display = 'none';
                    document.querySelector('#coordonnées').style.display = 'none';
                    document.querySelector('#Situation').style.display = 'none';
                    document.querySelector('#formations').style.display = 'none';
                    document.querySelector('#loisir').style.display = 'none';
                    document.querySelector('#secret').style.display = 'initial';
                    if(countphoto % 4 >= 2){
                        document.querySelector('#voidexp').style.display = 'none';
                    }
                    
                    else if(countphoto % 4 < 2){
                        document.querySelector('#experiences').style.display = 'none';
                        document.querySelector('#voidexp').style.display = 'none';
                    }
                }
                if (counte % 2 == 1){
                    document.querySelector('#voidexp').style.display = 'initial';
                    document.querySelector('#photo').style.display = 'initial';
                    document.querySelector('#coordonnées').style.display = 'initial';
                    document.querySelector('#Situation').style.display = 'initial';
                    document.querySelector('#formations').style.display = 'initial';
                    document.querySelector('#loisir').style.display = 'initial';
                    document.querySelector('#secret').style.display = 'none';
                    if(countphoto % 4 >= 2){
                        document.querySelector('#voidexp').style.display = 'initial';
                    }
                    
                    else if(countphoto % 4 < 2){
                        document.querySelector('#experiences').style.display = 'initial';
                        document.querySelector('#voidexp').style.display = 'none';
                    }
                    
                }
                counte++;
            }
            console.log("Hello, CESI !");
            document.querySelector('#formations').addEventListener('click',clickedf );
            document.querySelector('#experiences').addEventListener('click',experiencered );
            document.querySelector('#photo').addEventListener('click',changeeverything );
            const log = document.getElementById('log');
            document.addEventListener('keydown', logKey);
        </script>
    </body>
</html>
